

#ifndef _MACH64FB_H_LOADED_
#define _MACH64FB_H_LOADED_







/*============================================================================*/
	/*
	 * Support for Graphics Boards
	 */

#ifdef CONFIG_FB_MACH64			/* ATI Mach 64 */

int 
Mach64_probe(void);

void 
Mach64_video_setup(char * options, int * ints);

int
Mach64_fb_init(u_long * mem_start);             /* Through a****_fb_init() */

/*--------------------------------------------------------------------------*/
   /*
    *    Accelerated Functions used by the low level console driver
    */

void Mach64_WaitQueue(u_short fifo);

void Mach64_WaitBlit(void);

void 
Mach64_BitBLT(
  u_short curx,
  u_short cury,
  u_short destx,
  u_short desty,
  u_short width,
  u_short height,
  u_short mode);


void 
Mach64_RectFill(
  u_short x,
  u_short y,
  u_short width,
  u_short height,
  u_short mode,
  u_short color);

void Mach64_MoveCursor(u_short x, u_short y);


#endif /* CONFIG_FB_MACH64 */	

/*============================================================================*/
/* RCS-ID */

#define MACH64FB_H_ID \
  "@(#) Linux-m68k: 1997 06 22 23:01:18 BHA: mach64fb.h "

/*============================================================================*/

#endif /* _MACH64FB_H_LOADED_ */
