

#ifndef _SVGAFB_H_LOADED_
#define _SVGAFB_H_LOADED_







/*============================================================================*/
	/*
	 * Support for Graphics Boards
	 */

#ifdef CONFIG_FB_SVGA			/* Super VGA */

int 
SVGA_probe(void);

void 
SVGA_video_setup(char * options, int * ints);

int
SVGA_fb_init(u_long * mem_start);             /* Through a****_fb_init() */

/*--------------------------------------------------------------------------*/
   /*
    *    Accelerated Functions used by the low level console driver
    */

void SVGA_WaitQueue(u_short fifo);

void SVGA_WaitBlit(void);

void 
SVGA_BitBLT(
  u_short curx,
  u_short cury,
  u_short destx,
  u_short desty,
  u_short width,
  u_short height,
  u_short mode);


void 
SVGA_RectFill(
  u_short x,
  u_short y,
  u_short width,
  u_short height,
  u_short mode,
  u_short color);

void SVGA_MoveCursor(u_short x, u_short y);


#endif /* CONFIG_FB_SVGA */	

/*============================================================================*/
/* RCS-ID */

#define SVGAFB_H_ID \
  "@(#) Linux-m68k: 1997 06 23 19:57:18 BHA: svgafb.h "

/*============================================================================*/

#endif /* _SVGAFB_H_LOADED_ */
